<?php

use kernel\App;
use Phroute\Phroute\RouteCollector;


App::$collector->group(["prefix" => "admin"], function (RouteCollector $router){
    App::$collector->group(["before" => "auth"], function (RouteCollector $router){
        App::$collector->group(["prefix" => "module"], function (RouteCollector $router){
            App::$collector->get('/', [\kernel\controllers\ModuleController::class, 'actionIndex']);
            App::$collector->get('/page/{page_number}', [\kernel\controllers\ModuleController::class, 'actionIndex']);
            App::$collector->get('/activate', [\kernel\controllers\ModuleController::class, 'actionActivate']);
            App::$collector->get('/deactivate', [\kernel\controllers\ModuleController::class, 'actionDeactivate']);
            App::$collector->get('/view', [\kernel\controllers\ModuleController::class, 'actionView']);
            App::$collector->get('/update', [\kernel\controllers\ModuleController::class, 'actionUpdate']);
        });
    });
});